#!/bin/sh

# Copyright (C) 2009 IBM, Inc. 
#--------------------------------------------------------------------------

ITMHOME=/opt/IBM/ITM
PATCH_HOME=/opt/patch/1.1.0.0-TIV-TFAM-IF0001
IMAGES=/images
TOOLS=$IMAGES/tools

LOG=/$PATCH_HOME/patch_$(date +%m%d%y%S).log

if [ -e /$PATCH_HOME/scripts/debug ]; then
   set -x
   set -v
fi

# Redirect all stdin and stdout to log file
exec > $LOG
exec 2>&1

echo "$(date) Starting Tivoli Foundations Application Manager Patch Setup "

#
# Defect#114347. Work around reported in Readme.txt but lets make sure its fixed
#
if [ -e /tfambackup ]; then
    echo "$(date) /tfambackup exist, OK to continue."
else
    echo "$(date) Creating /tfambackup"
    mkdir /tfambackup
fi

#
# Defect#114345. Work around reported in Readme.txt but lets make sure its fixed.
#
if [ -e /opt/IBM/ITM/li6263/lz/bin/CAP/kum.xml ]; then
    echo "$(date) Renaming kum.xml CAP file"
    mv /opt/IBM/ITM/li6263/lz/bin/CAP/kum.xml /opt/IBM/ITM/li6263/lz/bin/CAP/kum.bak
else
    echo "$(date) kum.xml CAP file not found, OK to continue."
fi

cp $PATCH_HOME/setupScripts/* $IMAGES/setupScripts

mkdir $TOOLS

cp $PATCH_HOME/tfam_encrypt.jar $TOOLS

#
# Update the addon version numbers
#
/sandbox-tools/addon_version.sh update $PATCH_HOME/version.ini

echo "$(date) Finished Tivoli Foundations Application Manager Patch Setup "

