#!/bin/sh

# Copyright (C) 2009 IBM, Inc. 

if [ -e /images/setupScripts/debug ]; then
   set -x
   set -v
fi

if [ -e /images/work_files/.password ]; then
   source /images/work_files/.password
else
   echo "$(date) Error, .password file not found."
   exit 1
fi

if [ -z "$1" ]; then 
   echo "Usage: $0 new password"
   exit 1
fi 

NEWPASSWD=$1

IMAGES=/images
WORKFILES=$IMAGES/work_files
SCRIPTS=$IMAGES/setupScripts
ITMHOME=/opt/IBM/ITM

JAVA_HOME=/opt/IBM/ITM/JRE/li6263;
JAVA_CLASSPATH=/opt/IBM/ITM/classes/kjrall.jar:/images/tools/tfam_encrypt.jar
JAVA_PROPERTIES=-Dkjr.crypto.keyfilesURL=file:///opt/IBM/ITM/keyfiles

#
# Reconfigure ITM's Warehouse Proxy Agent and S&P Agents for DB2 password change
#

# First, backup config files
cp $ITMHOME/config/hd.ini $ITMHOME/config/hd.ini.bak
cp $ITMHOME/config/hd.config $ITMHOME/config/hd.config.bak
cp $ITMHOME/config/sy.ini $ITMHOME/config/sy.ini.bak
cp $ITMHOME/config/sy.config $ITMHOME/config/sy.config.bak

# Run java program to create the encrypt.out file containing the new password encrypted.
$JAVA_HOME/bin/java -classpath $JAVA_CLASSPATH $JAVA_PROPERTIES com.ibm.tivoli.tfam.encrypt $NEWPASSWD

# Now, update the ini .ini and .config files with new encrypted password
exec <./encrypt.out
 while read line
  do
   sed --in-place "s|KHD_WAREHOUSE_PASSWORD=.*$|KHD_WAREHOUSE_PASSWORD=${line}|" $ITMHOME/config/hd.ini
   sed --in-place "s|KHD_WAREHOUSE_PASSWORD=.*$|KHD_WAREHOUSE_PASSWORD=${line}|" $ITMHOME/config/hd.config
   sed --in-place "s|KSY_WAREHOUSE_PASSWORD=.*$|KSY_WAREHOUSE_PASSWORD=${line}|" $ITMHOME/config/sy.ini
   sed --in-place "s|KSY_WAREHOUSE_PASSWORD=.*$|KSY_WAREHOUSE_PASSWORD=${line}|" $ITMHOME/config/sy.config
done <./encrypt.out



